zenilib: zenilib/jni/external/sdl/src/video/x11/edid.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Enumerations | Functions
edid.h File Reference

Go to the source code of this file.

## Classes

struct | DetailedTiming
struct | MonitorInfo
struct | Timing

## Typedefs

typedef struct DetailedTiming | DetailedTiming
typedef struct MonitorInfo | MonitorInfo
typedef struct Timing | Timing
typedef unsigned char | uchar

## Enumerations

enum | ColorType { UNDEFINED_COLOR, MONOCHROME, RGB, OTHER_COLOR }
enum | Interface { UNDEFINED, DVI, HDMI_A, HDMI_B, MDDI, DISPLAY_PORT }
enum | StereoType { NO_STEREO, FIELD_RIGHT, FIELD_LEFT, TWO_WAY_RIGHT_ON_EVEN, TWO_WAY_LEFT_ON_EVEN, FOUR_WAY_INTERLEAVED, SIDE_BY_SIDE }

## Functions

MonitorInfo * | decode_edid (const uchar *data)
void | dump_monitor_info (MonitorInfo *info)
char * | make_display_name (const char *output_name, const MonitorInfo *info)

## Typedef Documentation

typedef struct DetailedTiming DetailedTiming

Definition at line 4 of file edid.h.

typedef struct MonitorInfo MonitorInfo

Definition at line 2 of file edid.h.

typedef struct Timing Timing

Definition at line 3 of file edid.h.

typedef unsigned char uchar

Definition at line 1 of file edid.h.

## Enumeration Type Documentation

enum ColorType

Enumerator
UNDEFINED_COLOR |
MONOCHROME |
RGB |
OTHER_COLOR |

Definition at line 16 of file edid.h.

enum Interface

Enumerator
UNDEFINED |
DVI |
HDMI_A |
HDMI_B |
MDDI |
DISPLAY_PORT |

Definition at line 6 of file edid.h.

enum StereoType

Enumerator
NO_STEREO |
FIELD_RIGHT |
FIELD_LEFT |
TWO_WAY_RIGHT_ON_EVEN |
TWO_WAY_LEFT_ON_EVEN |
FOUR_WAY_INTERLEAVED |
SIDE_BY_SIDE |

Definition at line 24 of file edid.h.

## Function Documentation

MonitorInfo* decode_edid | ( | const uchar * | data | ) |

Definition at line 521 of file edid-parse.c.

References calloc, decode_check_sum(), decode_color_characteristics(), decode_descriptors(), decode_display_parameters(), decode_edid_version(), decode_established_timings(), decode_header(), decode_standard_timings(), decode_vendor_and_product_identification(), free, and NULL.

void dump_monitor_info | ( | MonitorInfo * | info | ) |

Definition at line 549 of file edid-parse.c.

References MonitorInfo::active_off, DetailedTiming::analog, MonitorInfo::analog, MonitorInfo::aspect_ratio, MonitorInfo::blue_x, MonitorInfo::blue_y, MonitorInfo::checksum, MonitorInfo::continuous_frequency, MonitorInfo::detailed_timings, DetailedTiming::digital, MonitorInfo::digital, DetailedTiming::digital_sync, DISPLAY_PORT, MonitorInfo::dsc_product_name, MonitorInfo::dsc_serial_number, MonitorInfo::dsc_string, DVI, MonitorInfo::established, FIELD_LEFT, FIELD_RIGHT, FOUR_WAY_INTERLEAVED, Timing::frequency, MonitorInfo::gamma, MonitorInfo::green_x, MonitorInfo::green_y, DetailedTiming::h_addr, DetailedTiming::h_blank, DetailedTiming::h_front_porch, DetailedTiming::h_sync, HDMI_A, HDMI_B, Timing::height, DetailedTiming::height_mm, MonitorInfo::height_mm, i, MonitorInfo::is_digital, MonitorInfo::major_version, MonitorInfo::manufacturer_code, MDDI, MonitorInfo::minor_version, MonitorInfo::model_year, MONOCHROME, MonitorInfo::n_detailed_timings, NO_STEREO, OTHER_COLOR, DetailedTiming::pixel_clock, MonitorInfo::preferred_timing_includes_native, MonitorInfo::product_code, MonitorInfo::production_week, MonitorInfo::production_year, MonitorInfo::red_x, MonitorInfo::red_y, RGB, DetailedTiming::right_border, MonitorInfo::serial_number, SIDE_BY_SIDE, MonitorInfo::srgb_is_standard, MonitorInfo::standard, MonitorInfo::standby, DetailedTiming::stereo, MonitorInfo::suspend, DetailedTiming::top_border, TWO_WAY_LEFT_ON_EVEN, TWO_WAY_RIGHT_ON_EVEN, UNDEFINED, UNDEFINED_COLOR, DetailedTiming::v_addr, DetailedTiming::v_blank, DetailedTiming::v_front_porch, DetailedTiming::v_sync, MonitorInfo::white_x, MonitorInfo::white_y, Timing::width, DetailedTiming::width_mm, MonitorInfo::width_mm, and yesno().

char* make_display_name | ( | const char * | output_name,
|  | const MonitorInfo * | info
| ) |  |